Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622296 - SELinux is preventing /bin/bash "execute" access on /usr/lib64/openoffice.org3/program/soffice.bin.
SELinux is preventing /bin/bash "execute" access on /usr/lib64/openoffic...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:57637113805...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 15:00 EDT by Horst H. von Brand
Modified: 2010-08-13 11:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 11:27:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2010-08-08 15:00:19 EDT
Summary:

SELinux is preventing /bin/bash "execute" access on
/usr/lib64/openoffice.org3/program/soffice.bin.

Detailed Description:

SELinux denied access requested by soffice. It is not expected that this access
is required by soffice and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c102
                              3
Target Context                system_u:object_r:openoffice_exec_t:s0
Target Objects                /usr/lib64/openoffice.org3/program/soffice.bin [
                              file ]
Source                        soffice
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.1.7-3.fc14
Target RPM Packages           openoffice.org-brand-3.3.0-1.5.fc14.1
Policy RPM                    selinux-policy-3.8.8-8.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.35-0.57.rc6.git5.fc15.x86_64 #1 SMP Fri Jul 30
                              17:16:30 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Sun 04 Jul 2010 08:03:14 PM CLT
Last Seen                     Mon 02 Aug 2010 05:18:11 PM CLT
Local ID                      1f203978-94e6-470e-9848-47f48b87a5db
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1280783891.792:543): avc:  denied  { execute } for  pid=21711 comm="soffice" name="soffice.bin" dev=dm-4 ino=811288 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:openoffice_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1280783891.792:543): arch=c000003e syscall=59 success=no exit=-13 a0=16c8e30 a1=16cc340 a2=16ca2c0 a3=8 items=0 ppid=21705 pid=21711 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=2 comm="soffice" exe="/bin/bash" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,soffice,nsplugin_t,openoffice_exec_t,file,execute
audit2allow suggests:

#============= nsplugin_t ==============
allow nsplugin_t openoffice_exec_t:file execute;
Comment 1 Daniel Walsh 2010-08-13 11:27:16 EDT
You can not run mozplugger and confinement at the same time.  Either remove mozplugger package or turn off allow_unconfined_nsplugin_transition boolean

# setsebool -P allow_unconfined_nsplugin_transition 0

Note You need to log in before you can comment on or make changes to this bug.